Cancel
Showing results for 
Search instead for 
Did you mean: 

Compilators compatible with AMESim

Experimenter
Experimenter

Hi everyone,

 

I'm new to AMESim and to this forum.
I'm looking for information about compilators compatible with AMESim (version 11 on). The objective here is to provide integration with Matlab/Simulink and Virtual Lab, for experiments.

 

Thanks in advance,

Portolon

 

7 REPLIES

Re: Compilators compatible with AMESim

Siemens Phenom Siemens Phenom
Siemens Phenom

Hi Portolon,

 

welcome to the forum!

 

Amesim comes with GNU GCC 32 bit compiler.

It is also compatible with Microsoft Visual C++ 32 or 64 bits.

Intel C compiler is also supported.

 

In Amehelp you can find more information in the FAQs available in the 'Begin Here' section.

 

Regards

Emmanuel

 

 

Re: Compilators compatible with AMESim

Experimenter
Experimenter

Hey Emmanuel_D,

 

Thanks for answering!

Yet looking for information, I'd like to ask two more questions:

Does Virtual Lab run in the same compilers?

Can I use Windows SDK 7.1 with both?

 

The last one is because matlab 2012b is compatible with Windows SDK.

 

Thanks again,

Portolon

Re: Compilators compatible with AMESim

Siemens Phenom Siemens Phenom
Siemens Phenom

Hi Portolon,

 

SDK 7.1 is also supported in Amesim for 64 bit compilation. I think it is also fine for Virtual.Lab but this needs to be confirmed.

You can either use the LMS 3D Simulation Solutions forum or contact your local support on www.siemens.com/gtac or call your local GTAC phone number.

 

Regards

Emmanuel

Re: Compilators compatible with AMESim

Experimenter
Experimenter

Hi Emmanuel_D,

 

Thanks! Appreciate your help!

 

Regards,

Portolon

Re: Compilators compatible with AMESim

Experimenter
Experimenter

Hi there!

 

I installed SDK, my matlab is founding C++ compiler no problem, but AMESim does not detect it. How I can use SDK compilers? I need to build co-simulation with simulink system...

 

BR

 

Re: Compilators compatible with AMESim

Experimenter
Experimenter

Oh, found solution (should have checked all my search results first...)

https://community.plm.automation.siemens.com/t5/1D-Simulation-Knowledge-Base/How-can-I-install-the-V...

 

Re: Compilators compatible with AMESim

Community Manager Community Manager
Community Manager

Hi there !

 

Great to see that our Knowledge Base is used AND useful Smiley Happy

Have a nice end of day!

 

Julie